DELETE
/notebooks/init-script/{Start_Script_Id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/init-script/{Start_Script_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/init-script/{Start_Script_Id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/init-script/{Start_Script_Id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Permanently deletes a startup script. A script a VM uses cannot be deleted: “The init script is currently in use by one or more notebooks. Please unlink it from all associated notebooks before attempting to delete it.”
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Start_Script_Id
required
integer
Start Script Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Start script deleted successfully
Media typeapplication/json
object
code
integer
message
string
data
object
errors
object
Example
{ "code": 200, "message": "Init Script deleted successfully", "data": {}, "errors": {}}